Bug 1748836 - Application should know when update size/version went bad
Summary: Application should know when update size/version went bad
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: disperse
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1745107 1748880
TreeView+ depends on / blocked
 
Reported: 2019-09-04 09:15 UTC by Pranith Kumar K
Modified: 2019-09-08 00:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-08 00:42:20 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 23355 0 None Merged cluster/ec: Fail fsync/flush for files on update size/version failure 2019-09-06 07:27:58 UTC
Gluster.org Gerrit 23382 0 None Merged cluster/ec: Fix coverity issues 2019-09-08 00:42:19 UTC

Description Pranith Kumar K 2019-09-04 09:15:43 UTC
Description of problem:
When update-size-version fails on a file, application may not know that the file is in bad state even when it does fsync.

Version-Release number of selected component (if applicable):


How reproducible:
Not easy to reproduce. An unaligned write operation should succeed partially and at the time of update-size-version all the bricks should be down. When the next write happens on that stripe it can lead to bad read-modify-write.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Worker Ant 2019-09-04 09:18:58 UTC
REVIEW: https://review.gluster.org/23355 (cluster/ec: Fail fsync/flush for files on update size/version failure) posted (#1) for review on master by Pranith Kumar Karampuri

Comment 2 Worker Ant 2019-09-06 07:27:59 UTC
REVIEW: https://review.gluster.org/23355 (cluster/ec: Fail fsync/flush for files on update size/version failure) merged (#5) on master by Pranith Kumar Karampuri

Comment 3 Worker Ant 2019-09-07 14:53:12 UTC
REVIEW: https://review.gluster.org/23382 (cluster/ec: Fix coverity issues) posted (#1) for review on master by Pranith Kumar Karampuri

Comment 4 Worker Ant 2019-09-08 00:42:20 UTC
REVIEW: https://review.gluster.org/23382 (cluster/ec: Fix coverity issues) merged (#1) on master by Pranith Kumar Karampuri


Note You need to log in before you can comment on or make changes to this bug.